% Helper method for retrieveing CGM data, provided by co-supervisors

function [t, y1, y2] = getCGMdata(csv)
optss = detectImportOptions(csv);
 
optss = setvartype(optss, {'DateTime_UTC_01_00_'}, 'datetime'); % select the datetime format for the first column
optss = setvaropts(optss,{'DateTime_UTC_01_00_'},'InputFormat','yyyy.MM.dd HH:mm:ss.SSS');
optss.SelectedVariableNames = [1 2 4];                          % not importing slopes
BGfinger = readtable(csv,optss);

%%% Time
Tfinger=BGfinger.DateTime_UTC_01_00_;
t=Tfinger;
Tfinger2=Tfinger;
                 
%%% CGM Sensor 1
BG_finger1_main=BGfinger.SensorOneGlucose;
BG_finger1=BG_finger1_main;
BG_finger1(isnan(BG_finger1_main))=[];
t(isnan(BG_finger1_main))=[];
y1 = BG_finger1;

%%% CGM Sensor 2
BG_finger2_main=BGfinger.SensorTwoGlucose;
BG_finger2=BG_finger2_main;
BG_finger2(isnan(BG_finger2_main))=[];
y2 = BG_finger2;
end

